
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
SQL Saturday 
Database Health and Performance Demonstrations

Fix My Indexes!

Rebuilds the indexes that were previously dropped.

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
use ds2;
go


CREATE NONCLUSTERED INDEX [IX_CUST_HIST_CUSTOMERID] ON [dbo].[CUST_HIST]
(
	[CUSTOMERID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [DS_IND_FG]
GO

CREATE NONCLUSTERED INDEX [IX_ORDER_CUSTID] ON [dbo].[ORDERS]
(
	[CUSTOMERID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [DS_IND_FG]
GO

CREATE NONCLUSTERED INDEX [IX_PROD_PRODID] ON [dbo].[PRODUCTS]
(
	[PROD_ID] ASC
)
INCLUDE ([TITLE]) WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, 
SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [DS_IND_FG]
GO

CREATE NONCLUSTERED INDEX IX_Cust_Name
ON [dbo].[CUSTOMERS] ([LASTNAME],[FIRSTNAME])
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, 
DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO